Got error using openstack cli after i did pip install --upgrade python-openstackclient

asked 2017-02-03 13:31:29 -0500

3j0s gravatar image

Greetings!

I couldn't create a new network via openstack cli, 'cause i thought that i was using an old version, i update it (pip install --upgrade python-openstackclient) and after that, i couldn't use openstack cli anymore, this is part of my error, the entire error i pasted here http://pastebin.com/cNBGXuq0:

[root@localhost]$ openstack --help Traceback (most recent call last): File "/usr/local/bin/openstack", line 7, in <module> from openstackclient.shell import main ...

File "/usr/local/lib/python2.7/dist-packages/keystoneauth1/__init__.py", line 16, in <module> __version__ = pbr.version.VersionInfo('keystoneauth1').version_string() AttributeError: 'module' object has no attribute 'version

Thx *PD: I'm using Ubuntu Server 16 LTS Mitaka

edit retag flag offensive close merge delete